hpp-corbaserver: hpp::corbaServer::ProblemSolverMap Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | List of all members
hpp::corbaServer::ProblemSolverMap Class Reference

`#include <hpp/corbaserver/problem-solver-map.hh>`

## Public Types
typedef std::map< std::string, core::ProblemSolverPtr_t > | ProblemMap_t
typedef shared_ptr< ProblemMap_t > | ProblemMapPtr_t
typedef boost::mutex | mutex_t
typedef shared_ptr< mutex_t > | mutexPtr_t

## Public Member Functions
| ProblemSolverMap (core::ProblemSolverPtr_t init, const std::string &name="default")
| ProblemSolverMap (const ProblemSolverMap &map)
core::ProblemSolverPtr_t | operator-> ()
| operator core::ProblemSolverPtr_t ()
core::ProblemSolverPtr_t | selected () const
core::ProblemSolverPtr_t | get (const std::string &name) const
void | selected (const std::string &name)
bool | has (const std::string &name) const
void | add (const std::string &name, core::ProblemSolverPtr_t ps)
void | remove (const std::string &name)
void | replaceSelected (core::ProblemSolverPtr_t ps)
template<typename ReturnType >
ReturnType | keys () const
const std::string & | selectedName () const

## Member Typedef Documentation

## ◆ mutex_t

typedef boost::mutex hpp::corbaServer::ProblemSolverMap::mutex_t

## ◆ mutexPtr_t

typedef shared_ptr<mutex_t> hpp::corbaServer::ProblemSolverMap::mutexPtr_t

## ◆ ProblemMap_t

typedef std::map<std::string, core::ProblemSolverPtr_t> hpp::corbaServer::ProblemSolverMap::ProblemMap_t

## ◆ ProblemMapPtr_t

typedef shared_ptr<ProblemMap_t> hpp::corbaServer::ProblemSolverMap::ProblemMapPtr_t

## Constructor & Destructor Documentation

## ◆ ProblemSolverMap() [1/2]

hpp::corbaServer::ProblemSolverMap::ProblemSolverMap | ( | core::ProblemSolverPtr_t | init,
|  | const std::string & | name = `"default"`
| ) |  |

## ◆ ProblemSolverMap() [2/2]

hpp::corbaServer::ProblemSolverMap::ProblemSolverMap | ( | const ProblemSolverMap & | map | ) |

## Member Function Documentation

## ◆ add()

void hpp::corbaServer::ProblemSolverMap::add | ( | const std::string & | name,
|  | core::ProblemSolverPtr_t | ps
| ) |  |

## ◆ get()

core::ProblemSolverPtr_t hpp::corbaServer::ProblemSolverMap::get | ( | const std::string & | name | ) | const

## ◆ has()

bool hpp::corbaServer::ProblemSolverMap::has | ( | const std::string & | name | ) | const

## ◆ keys()

template<typename ReturnType >

ReturnType hpp::corbaServer::ProblemSolverMap::keys | ( |  | ) | const
| inline

## ◆ operator core::ProblemSolverPtr_t()

hpp::corbaServer::ProblemSolverMap::operator core::ProblemSolverPtr_t | ( |  | ) |

## ◆ operator->()

core::ProblemSolverPtr_t hpp::corbaServer::ProblemSolverMap::operator-> | ( |  | ) |

## ◆ remove()

void hpp::corbaServer::ProblemSolverMap::remove | ( | const std::string & | name | ) |

## ◆ replaceSelected()

void hpp::corbaServer::ProblemSolverMap::replaceSelected | ( | core::ProblemSolverPtr_t | ps | ) |

## ◆ selected() [1/2]

core::ProblemSolverPtr_t hpp::corbaServer::ProblemSolverMap::selected | ( |  | ) | const

## ◆ selected() [2/2]

void hpp::corbaServer::ProblemSolverMap::selected | ( | const std::string & | name | ) |

## ◆ selectedName()

const std::string& hpp::corbaServer::ProblemSolverMap::selectedName | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- include/hpp/corbaserver/problem-solver-map.hh